# Generated by sila2.code_generator; sila2.__version__: 0.9.2
from __future__ import annotations

from typing import TYPE_CHECKING

from sila2.server import MetadataDict

from ..generated.temperaturecontroller import (
    SetMaxTemperature_Responses,
    SetMinTemperature_Responses,
    TemperatureControllerBase,
)

if TYPE_CHECKING:
    from ..server import Server


class TemperatureControllerImpl(TemperatureControllerBase):
    def __init__(self, parent_server: Server) -> None:
        super().__init__(parent_server=parent_server)

    def SetMaxTemperature(self, MaxTemperature: float, *, metadata: MetadataDict) -> SetMaxTemperature_Responses:
        raise NotImplementedError  # TODO

    def SetMinTemperature(self, MinTemperature: float, *, metadata: MetadataDict) -> SetMinTemperature_Responses:
        raise NotImplementedError  # TODO
